<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>問題6.6 - ファイゲンバウム定数の評価 &mdash; 計算機実習2014</title>
    
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '1.0',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <script type="text/javascript" src="../_static/translations.js"></script>
    <link rel="author" title="このドキュメントについて" href="../about.html" />
    <link rel="top" title="計算機実習2014" href="../index.html" />
    <link rel="next" title="問題6.8 - 他の1次元写像" href="../6-8_other_example/6-8.html" />
    <link rel="prev" title="問題6.2 - ロジスティック写像の定性的な特徴" href="../6-2_bifurcate/6-2.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             accesskey="I">索引</a></li>
        <li class="right" >
          <a href="../6-8_other_example/6-8.html" title="問題6.8 - 他の1次元写像"
             accesskey="N">次へ</a> |</li>
        <li class="right" >
          <a href="../6-2_bifurcate/6-2.html" title="問題6.2 - ロジスティック写像の定性的な特徴"
             accesskey="P">前へ</a> |</li>
        <li><a href="../index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="label">
<span id="id1"></span><h1><a class="toc-backref" href="#id7">問題6.6 - ファイゲンバウム定数の評価</a><a class="headerlink" href="#label" title="このヘッドラインへのパーマリンク">¶</a></h1>
<div class="contents topic" id="contents">
<p class="topic-title first">Contents</p>
<ul class="simple">
<li><a class="reference internal" href="#label" id="id7">問題6.6 - ファイゲンバウム定数の評価</a><ul>
<li><a class="reference internal" href="#id2" id="id8">シミュレーションの目的</a></li>
<li><a class="reference internal" href="#id3" id="id9">作成したプログラム</a></li>
<li><a class="reference internal" href="#id4" id="id10">実習課題</a></li>
<li><a class="reference internal" href="#id5" id="id11">まとめ</a></li>
<li><a class="reference internal" href="#id6" id="id12">参考文献</a></li>
</ul>
</li>
</ul>
</div>
<div class="section" id="id2">
<h2><a class="toc-backref" href="#id8">シミュレーションの目的</a><a class="headerlink" href="#id2" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>すでに<a class="reference internal" href="../6-2_bifurcate/6-2.html#label"><em>問題6.2</em></a>で見たように、隣り合う分岐の間の<img class="math" src="../_images/math/2ede365ad144ab396916ec60458da03860803078.png" alt="r"/>の領域は周期の増大にしたがって小さくなる(<a class="reference internal" href="#tab-6-6-t1"><em>表1</em></a>)。例えば、<img class="math" src="../_images/math/f2e1be0dd6d7218411df52942396a54461e1672a.png" alt="b_{2}-b_{1}=0.2398"/>、<img class="math" src="../_images/math/c81d7f4668bd7c56e492e428679e47de27c7f5ad.png" alt="b_{3}-b_{2}=0.023624"/>、<img class="math" src="../_images/math/e2699974066ceb4455e1dd0bb8d4b2938cb33082.png" alt="b_{4}-b_{3}=0.00508"/>となっているので、<img class="math" src="../_images/math/bc9cb23e478c36e86dc6d3cb94eb1f730a9e58ea.png" alt="b_{k}-b_{k-1}"/>が等比的、つまり一定の比<img class="math" src="../_images/math/54650391216b04bc6f6f7e5eb36dd345a4157774.png" alt="(b_{k}-b_{k-1})/(b_{k+1}-b_{k})"/>で減少すると推定してよいであろう。この比は正確に一定にはならないが、<img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/>が大きくなるとともに一定値に近づくことを確かめることができる。これは<img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/>の数列には極限があり、</p>
<div class="math" id="equation-e1">
<p><span class="eqno">(1)</span><img src="../_images/math/aa314c5c13baa3f788e939a338c734d733c35f55.png" alt="b_{k} \approx r_{\infty} -c \delta ^{-k}"/></p>
</div><p>のように等比的に漸近すると考えられる(cは定数)。ここで<img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/>はファイゲンバウム(Feigenbaum)定数と呼ばれている。式<a href="#equation-e1">(1)</a>から<img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/>は比</p>
<div class="math">
<p><img src="../_images/math/43db4ca124beae859b040b76947d8b5d851ed698.png" alt="\delta = \lim_{k \rightarrow \infty} \displaystyle\frac{b_{k}-b_{k-1}}{b_{k+1}-b_{k}}"/></p>
</div><p>で与えられる。</p>
<span class="target" id="tab-6-6-t1"></span></div>
<div class="section" id="id3">
<h2><a class="toc-backref" href="#id9">作成したプログラム</a><a class="headerlink" href="#id3" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>Pythonを用いて作成したプログラムを以下に示す。</p>
<ul class="simple">
<li><a class="reference download internal" href="../_downloads/6-6_feigenbaum-a.py"><tt class="xref download docutils literal"><span class="pre">6-6_feigenbaum-a.py</span></tt></a></li>
</ul>
<p>このプログラムでは<a class="reference internal" href="#tab-6-6-t1"><em>表1</em></a>の数値<img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/>を使って<img class="math" src="../_images/math/0169cf914e137589405e489b4bbd3d3ae243a1a3.png" alt="\delta_{k}=(b_{k}-b_{k-1})/(b_{k+1}-b_{k})"/>を<img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/>に対してプロットし、単純な相加平均によって<img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/>を求めることができる。</p>
<div class="highlight-python"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#! usr/bin/env python </span>
<span class="c"># coding:utf-8</span>

<span class="sd">&quot;&quot;&quot; 計算機実習</span>
<span class="sd">問題6.6 ファイゲンバウム定数の評価</span>
<span class="sd">-a 相加平均でファイゲンバウム定数を求める</span>
<span class="sd">作成者：藤本將太郎</span>
<span class="sd">&quot;&quot;&quot;</span>

<span class="kn">import</span> <span class="nn">matplotlib.pylab</span> <span class="kn">as</span> <span class="nn">plt</span>
<span class="kn">from</span> <span class="nn">Tkinter</span> <span class="kn">import</span> <span class="o">*</span>
<span class="kn">import</span> <span class="nn">numpy</span>

<span class="n">b</span><span class="o">=</span><span class="p">[</span><span class="mf">0.750000</span><span class="p">,</span> <span class="mf">0.862372</span><span class="p">,</span> <span class="mf">0.886023</span><span class="p">,</span> <span class="mf">0.891102</span><span class="p">,</span> <span class="mf">0.892190</span><span class="p">,</span> <span class="mf">0.892423</span><span class="p">,</span> <span class="mf">0.892473</span><span class="p">,</span> <span class="mf">0.892484</span><span class="p">]</span>
<span class="c">#        b1          b2          b3          b4          b5          b6          b7          b8</span>

<span class="k">def</span> <span class="nf">delta</span><span class="p">(</span><span class="n">k</span><span class="p">):</span>
    <span class="k">return</span> <span class="p">(</span><span class="n">b</span><span class="p">[</span><span class="n">k</span><span class="o">-</span><span class="mi">1</span><span class="p">]</span> <span class="o">-</span> <span class="n">b</span><span class="p">[</span><span class="n">k</span><span class="o">-</span><span class="mi">2</span><span class="p">])</span><span class="o">/</span><span class="p">(</span><span class="n">b</span><span class="p">[</span><span class="n">k</span><span class="p">]</span><span class="o">-</span><span class="n">b</span><span class="p">[</span><span class="n">k</span><span class="o">-</span><span class="mi">1</span><span class="p">])</span>

<span class="n">plt</span><span class="o">.</span><span class="n">gca</span><span class="p">()</span><span class="o">.</span><span class="n">set_xlim</span><span class="p">(</span><span class="mf">1.5</span><span class="p">,</span> <span class="nb">len</span><span class="p">(</span><span class="n">b</span><span class="p">)</span><span class="o">-</span><span class="mf">0.5</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s">r&#39;$k$&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s">r&#39;$\delta_{k}$&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s">&#39;Feigenbaum constant&#39;</span><span class="p">)</span>
<span class="n">sum_delta_k</span><span class="o">=</span><span class="mi">0</span>

<span class="k">for</span> <span class="n">k</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="mi">2</span><span class="p">,</span> <span class="nb">len</span><span class="p">(</span><span class="n">b</span><span class="p">)):</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">scatter</span><span class="p">(</span><span class="n">k</span><span class="p">,</span> <span class="n">delta</span><span class="p">(</span><span class="n">k</span><span class="p">),</span> <span class="n">color</span><span class="o">=</span><span class="s">&#39;r&#39;</span><span class="p">,</span> <span class="n">s</span><span class="o">=</span><span class="mi">8</span><span class="p">,</span> <span class="n">marker</span><span class="o">=</span><span class="s">&#39;o&#39;</span><span class="p">)</span>
    <span class="n">sum_delta_k</span><span class="o">=</span><span class="n">sum_delta_k</span><span class="o">+</span><span class="n">delta</span><span class="p">(</span><span class="n">k</span><span class="p">)</span>
<span class="n">ave_delta_k</span><span class="o">=</span><span class="n">sum_delta_k</span><span class="o">/</span><span class="mi">6</span>

<span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="mi">2</span><span class="p">,</span> <span class="nb">len</span><span class="p">(</span><span class="n">b</span><span class="p">)</span><span class="o">-</span><span class="mi">1</span><span class="p">],</span> <span class="p">[</span><span class="n">ave_delta_k</span><span class="p">]</span><span class="o">*</span><span class="mi">2</span><span class="p">,</span> 
                        <span class="n">label</span><span class="o">=</span><span class="s">r&#39;$\mathrm{average}\ \mathrm{of}\ \delta_{k}\ :\ \delta \ =\ $&#39;</span> 
                        <span class="o">+</span> <span class="nb">str</span><span class="p">(</span><span class="n">ave_delta_k</span><span class="p">)</span>
                        <span class="p">)</span>

<span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">(</span><span class="n">loc</span><span class="o">=</span><span class="s">&quot;best&quot;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">show</span><span class="p">()</span>
</pre></div>
</td></tr></table></div>
<ul class="simple">
<li><a class="reference download internal" href="../_downloads/6-6_feigenbaum-fit.py"><tt class="xref download docutils literal"><span class="pre">6-6_feigenbaum-fit.py</span></tt></a></li>
</ul>
<p>下のプログラムを実行すると、プログラム内で指定されたパラメータ初期値を用いて、最小2乗法により式<a href="#equation-e1">(1)</a>におけるパラメータ<img class="math" src="../_images/math/65868d23a5bfe5b3b2d819386b19c14fa36af134.png" alt="c"/>、<img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/>を求めることができる。モジュールとしてscipyモジュールのoptimizeを用いている。</p>
<div class="highlight-python"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre> 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27</pre></div></td><td class="code"><div class="highlight"><pre><span class="c">#! usr/bin/env python </span>
<span class="c"># coding:utf-8</span>
<span class="sd">&quot;&quot;&quot; 計算機実習</span>
<span class="sd">問題6.6 ファイゲンバウム定数の評価</span>
<span class="sd">-a 最小2乗法で r_infinity を求める。</span>
<span class="sd">作成者：藤本將太郎</span>
<span class="sd">&quot;&quot;&quot;</span>
<span class="kn">import</span> <span class="nn">scipy.optimize</span> <span class="kn">as</span> <span class="nn">optimize</span>
<span class="kn">from</span> <span class="nn">numpy</span> <span class="kn">import</span> <span class="o">*</span>

<span class="n">delta</span><span class="o">=</span><span class="mf">4.669201609102991</span>
<span class="c">#b=[0.750000, 0.862372, 0.886023, 0.891102, 0.892190, 0.892423, 0.892473, 0.892484]</span>
<span class="c">#k=range(1, len(b)+1)</span>
<span class="n">b</span><span class="o">=</span><span class="p">[</span><span class="mf">0.886023</span><span class="p">,</span> <span class="mf">0.891102</span><span class="p">,</span> <span class="mf">0.892190</span><span class="p">,</span> <span class="mf">0.892423</span><span class="p">]</span>
<span class="n">k</span><span class="o">=</span><span class="nb">range</span><span class="p">(</span><span class="mi">3</span><span class="p">,</span> <span class="mi">7</span><span class="p">)</span>
<span class="n">parameter0</span><span class="o">=</span><span class="p">[</span><span class="mf">1.0</span><span class="p">,</span> <span class="mf">1.0</span><span class="p">]</span> <span class="c"># c, r_m　初期値</span>

<span class="k">def</span> <span class="nf">fit_func</span><span class="p">(</span><span class="n">parameter0</span><span class="p">,</span><span class="n">k</span><span class="p">,</span><span class="n">b</span><span class="p">):</span>
    <span class="n">c</span> <span class="o">=</span> <span class="n">parameter0</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span>
    <span class="n">r_infinity</span> <span class="o">=</span> <span class="n">parameter0</span><span class="p">[</span><span class="mi">1</span><span class="p">]</span>
    <span class="n">residual</span><span class="o">=</span><span class="n">b</span><span class="o">-</span><span class="p">(</span><span class="n">r_infinity</span><span class="o">-</span><span class="n">c</span><span class="o">*</span><span class="n">delta</span><span class="o">**</span><span class="p">(</span><span class="o">-</span><span class="n">k</span><span class="p">))</span>
    <span class="k">return</span> <span class="n">residual</span>

<span class="n">result</span><span class="o">=</span><span class="n">optimize</span><span class="o">.</span><span class="n">leastsq</span><span class="p">(</span><span class="n">fit_func</span><span class="p">,</span> <span class="n">parameter0</span><span class="p">,</span> <span class="n">args</span><span class="o">=</span><span class="p">(</span><span class="n">array</span><span class="p">(</span><span class="n">k</span><span class="p">),</span><span class="n">array</span><span class="p">(</span><span class="n">b</span><span class="p">)))</span>

<span class="k">print</span> <span class="s">&#39;c=&#39;</span><span class="p">,</span> <span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">][</span><span class="mi">0</span><span class="p">]</span>
<span class="k">print</span> <span class="s">&#39;r_infinity=&#39;</span><span class="p">,</span> <span class="n">result</span><span class="p">[</span><span class="mi">0</span><span class="p">][</span><span class="mi">1</span><span class="p">]</span>
</pre></div>
</td></tr></table></div>
</div>
<div class="section" id="id4">
<h2><a class="toc-backref" href="#id10">実習課題</a><a class="headerlink" href="#id4" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ol class="loweralpha simple">
<li>作成したプログラムを使って、<img class="math" src="../_images/math/0169cf914e137589405e489b4bbd3d3ae243a1a3.png" alt="\delta_{k}=(b_{k}-b_{k-1})/(b_{k+1}-b_{k})"/>を<img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/>に対してプロットし、<img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/>を求めよ。<img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/>の<a class="reference internal" href="#tab-6-6-t1"><em>表1</em></a>に与えられた値の桁数はどの<img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/>についても十分か。最も精度よく求められている<img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/>の値は</li>
</ol>
<div class="math" id="equation-e2">
<p><span class="eqno">(2)</span><img src="../_images/math/21ceee8e659da87f507811a73872b951d72048d8.png" alt="\delta = 4.669\ 201\ 609\ 102\ 991 \cdots"/></p>
</div><p>である。式<a href="#equation-e2">(2)</a>の小数点以下の桁は、<img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/>が高い精度で求められていることを示している。式<a href="#equation-e1">(1)</a>、式<a href="#equation-e2">(2)</a>および<img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/>の値を使って<img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/>の値を求めよ。</p>
<p>まず、<img class="math" src="../_images/math/0169cf914e137589405e489b4bbd3d3ae243a1a3.png" alt="\delta_{k}=(b_{k}-b_{k-1})/(b_{k+1}-b_{k})"/>を<img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/>に対してプロットしたグラフを、<a class="reference internal" href="#fig-6-6-f1"><em>図1</em></a>に示した。ここで単純に全体の相加平均を求め、その結果を直線にしてグラフに描いた。また、表に与えられた<img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/>の桁数について、<img class="math" src="../_images/math/f1147d23bfa452fbd0beb37d227723a644f22e06.png" alt="b_{k}"/>の間隔が<img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/>が大きくなるにつれて減少していくことを考えると、<img class="math" src="../_images/math/3b173dbd733f0cc9f393aff683445922f57ec823.png" alt="b_{8}"/>の桁数などは十分であるとは言えないだろう。実際、平均値として得られた<img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/>が、精度よく求められている<img class="math" src="../_images/math/b35a9439ad8c8657b1b1d792ad5c2d77a52c0aef.png" alt="\delta"/>の値に近いのに対して、本来<img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/>が大きいところでは収束するはずの<img class="math" src="../_images/math/a6e5c79c4fb3e83e4e6386193dd2b0871c259436.png" alt="\delta_{k}"/>が、そこからずれた値となっていることも、<img class="math" src="../_images/math/3b173dbd733f0cc9f393aff683445922f57ec823.png" alt="b_{8}"/>などの桁数が不足していることを表していると言える。</p>
<p>次に、最小2乗法により式<a href="#equation-e1">(1)</a>におけるパラメータ<img class="math" src="../_images/math/65868d23a5bfe5b3b2d819386b19c14fa36af134.png" alt="c"/>、<img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/>を求め、その結果を表に示す。ここで、得られた値<img class="math" src="../_images/math/22e09b0a274978b1ad925677f35ef881058d3953.png" alt="r_{\infty}=0.892 546 164 091"/>は非常に正確に調べられていて、その値は<img class="math" src="../_images/math/573212012d9e249a534d82d99b98fc2e4673ef08.png" alt="r_{\infty}=0.892 486 417 967 \cdots"/>である。すなわち、得られた<img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/>はよく知られている値に対してわずか約0.007％の誤差で精度よく求めることができていることがわかる。</p>
<div class="align-center figure" id="fig-6-6-f1">
<a class="reference internal image-reference" href="../_images/figure_15.png"><img alt="delta_k を k に対してプロットしたグラフ" src="../_images/figure_15.png" style="width: 12.0cm;" /></a>
<p class="caption"><img class="math" src="../_images/math/a6e5c79c4fb3e83e4e6386193dd2b0871c259436.png" alt="\delta_{k}"/>を<img class="math" src="../_images/math/e9203da50e1059455123460d4e716c9c7f440cc3.png" alt="k"/>に対してプロットしたグラフ</p>
</div>
<table border="1" class="docutils">
<caption>最小2乗法によって式<a href="#equation-e1">(1)</a>にフィッティングした時のパラメータの値</caption>
<colgroup>
<col width="50%" />
<col width="50%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">パラメータ</th>
<th class="head">値</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td><img class="math" src="../_images/math/65868d23a5bfe5b3b2d819386b19c14fa36af134.png" alt="c"/></td>
<td>0.665237682254</td>
</tr>
<tr class="row-odd"><td><img class="math" src="../_images/math/16fb202a63a75cb12495aa1f061d134bfd9aa12f.png" alt="r_{\infty}"/></td>
<td>0.892546164091</td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="id5">
<h2><a class="toc-backref" href="#id11">まとめ</a><a class="headerlink" href="#id5" title="このヘッドラインへのパーマリンク">¶</a></h2>
<p>ファイゲンバウム定数の算出を行い、その普遍的性質への理解を深めることができた。</p>
</div>
<div class="section" id="id6">
<h2><a class="toc-backref" href="#id12">参考文献</a><a class="headerlink" href="#id6" title="このヘッドラインへのパーマリンク">¶</a></h2>
<ul class="simple">
<li>ハーベイ・ゴールド,ジャン・トボチニク,石川正勝・宮島佐介訳『計算物理学入門』,ピアソン・エデュケーション, 2000.</li>
</ul>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">目次</a></h3>
  <ul>
<li><a class="reference internal" href="#">問題6.6 - ファイゲンバウム定数の評価</a><ul>
<li><a class="reference internal" href="#id2">シミュレーションの目的</a></li>
<li><a class="reference internal" href="#id3">作成したプログラム</a></li>
<li><a class="reference internal" href="#id4">実習課題</a></li>
<li><a class="reference internal" href="#id5">まとめ</a></li>
<li><a class="reference internal" href="#id6">参考文献</a></li>
</ul>
</li>
</ul>

  <h4>前のトピックへ</h4>
  <p class="topless"><a href="../6-2_bifurcate/6-2.html"
                        title="前の章へ">問題6.2 - ロジスティック写像の定性的な特徴</a></p>
  <h4>次のトピックへ</h4>
  <p class="topless"><a href="../6-8_other_example/6-8.html"
                        title="次の章へ">問題6.8 - 他の1次元写像</a></p>
  <h3>このページ</h3>
  <ul class="this-page-menu">
    <li><a href="../_sources/6-6_feigenbaum/6-6.txt"
           rel="nofollow">ソースコードを表示</a></li>
  </ul>
<div id="searchbox" style="display: none">
  <h3>クイック検索</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="検索" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    モジュール、クラス、または関数名を入力してください
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>ナビゲーション</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="総合索引"
             >索引</a></li>
        <li class="right" >
          <a href="../6-8_other_example/6-8.html" title="問題6.8 - 他の1次元写像"
             >次へ</a> |</li>
        <li class="right" >
          <a href="../6-2_bifurcate/6-2.html" title="問題6.2 - ロジスティック写像の定性的な特徴"
             >前へ</a> |</li>
        <li><a href="../index.html">計算機実習2014</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2014, Shotaro Fujimoto.
      このドキュメントは <a href="http://sphinx-doc.org/">Sphinx</a> 1.2.2 で生成しました。
    </div>
  </body>
</html>